summaryrefslogtreecommitdiffstats
path: root/_to_remove/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-10-18 14:06:49 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-10-18 21:47:35 +0200
commit22826f0f164d48ceef18343d9e9c2a6eb3de4230 (patch)
tree14c950e6656b8d6eb08a9b56e758f95c5dde0821 /_to_remove/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
parente82b00a13a62499fdbca9505daaa69b35bf2f77d (diff)
WIP: rm appfw
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I6a90dae780a8eca7d684b5842c3af3ee55ebc509
Diffstat (limited to '_to_remove/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh')
-rw-r--r--_to_remove/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/_to_remove/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh b/_to_remove/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
new file mode 100644
index 000000000..3f538175f
--- /dev/null
+++ b/_to_remove/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+CONNMAN_CONF=/etc/connman/main.conf
+CLUSTER_ADDRESS=192.168.20.93
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <network device>"
+ exit 1
+fi
+
+# Need to blacklist given device with connman if it isn't already,
+# otherwise connman will over-ride address configuration.
+if ! grep '^NetworkInterfaceBlacklist=' ${CONNMAN_CONF} | grep -q $1; then
+ sed -i "s/^\(NetworkInterfaceBlacklist=.*\)/\1,$1/" ${CONNMAN_CONF}
+fi
+
+/sbin/ifconfig $1 ${CLUSTER_ADDRESS}